Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.dev
Class OOXMLLister

    java.lang.Object
      org.apache.poi.dev.OOXMLLister

    public class OOXMLLister

extends java.lang.Object

Prints out the contents of a OOXML container. Useful for seeing what parts are defined, and how they're all related to each other.

Constructor Summary
`OOXMLLister(OPCPackage container)`
`OOXMLLister(OPCPackage container, java.io.PrintStream disp)`

Method Summary
`void` | `displayParts()` Displays information on all the different parts of the OOXML file container.
`void` | `displayRelations()` Displays information on all the different relationships between different parts of the OOXML file container.
`static long` | `getSize(PackagePart part)` Figures out how big a given PackagePart is.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OOXMLLister

    public OOXMLLister(OPCPackage container)

### OOXMLLister

    public OOXMLLister(OPCPackage container,
                       java.io.PrintStream disp)

Method Detail

### getSize

    public static long getSize(PackagePart part)
                        throws java.io.IOException

  Figures out how big a given PackagePart is.

  Throws:
    `java.io.IOException`

### displayParts

    public void displayParts()
                      throws java.lang.Exception

  Displays information on all the different parts of the OOXML file container.

  Throws:
    `java.lang.Exception`

### displayRelations

    public void displayRelations()
                          throws java.lang.Exception

  Displays information on all the different relationships between different parts of the OOXML file container.

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.